<?php

namespace SEOAIC\content_improvement_suggestions;

class DescriptionToContentConsistency extends AbstractDescriptionSuggestion
{
    public function __construct()
    {
        parent::__construct();

        $this->id = 'description_to_content_consistency';
        $this->label = esc_html__('Description-to-content consistency', 'seoaic');
        $this->description = esc_html__('Consistency of the meta `description` tag with the page content.');
    }

    public function issueShouldBeFixed($value): bool
    {
        return !$value;
    }
}
